mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive Class Reference
Inheritance diagram for mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive:

## Public Member Functions

def | __init__ (self, name, config)
def | read (self, count)
| Read data from DUT, count is not used for FastModel. More...
def | write (self, payload, log=False)
| Write 'payload' to DUT. More...
def | flush (self)
| flush not supported in FastModel_module More...
def | connected (self)
| return whether FastModel is connected More...
def | finish (self)
| shutdown the FastModel and release the allocation More...
def | reset (self)
def | __del__ (self)
Public Member Functions inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
def | __init__ (self, name)
def | write_kv (self, key, value)
| Forms and sends Key-Value protocol message. More...
def | read (self, count)
| Read data from DUT. More...
def | write (self, payload, log=False)
| Read data from DUT. More...
def | flush (self)
| Flush read/write channels of DUT. More...
def | reset (self)
| Reset the dut. More...
def | connected (self)
| Check if there is a connection to DUT. More...
def | error (self)
| Returns LAST_ERROR value. More...
def | finish (self)
| Handle DUT dtor like (close resource) operations here. More...

## Public Attributes

| config
| fm_config
| platform_name
| image_path
| polling_timeout
| fm_agent_module
| resource
Public Attributes inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
| LAST_ERROR
| logger
| polling_timeout

## Detailed Description

Definition at line 23 of file conn_primitive_fastmodel.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.__init__ | ( |  | self,
|  |  | name,
|  |  | config
| ) |  |

Definition at line 24 of file conn_primitive_fastmodel.py.

## __del__()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.__del__ | ( |  | self | ) |

Definition at line 161 of file conn_primitive_fastmodel.py.

## Member Function Documentation

## connected()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.connected | ( |  | self | ) |

return whether FastModel is connected

Definition at line 137 of file conn_primitive_fastmodel.py.

## finish()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.finish | ( |  | self | ) |

shutdown the FastModel and release the allocation

Definition at line 144 of file conn_primitive_fastmodel.py.

## flush()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.flush | ( |  | self | ) |

flush not supported in FastModel_module

Definition at line 133 of file conn_primitive_fastmodel.py.

## read()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.read | ( |  | self,
|  |  | count
| ) |  |

Read data from DUT, count is not used for FastModel.

Definition at line 107 of file conn_primitive_fastmodel.py.

## reset()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.reset | ( |  | self | ) |

Definition at line 153 of file conn_primitive_fastmodel.py.

## write()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.write | ( |  | self,
|  |  | payload,
|  |  | log = `False`
| ) |  |

Write 'payload' to DUT.

Definition at line 119 of file conn_primitive_fastmodel.py.

## Member Data Documentation

## config

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.config

Definition at line 26 of file conn_primitive_fastmodel.py.

## fm_agent_module

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.fm_agent_module

Definition at line 33 of file conn_primitive_fastmodel.py.

## fm_config

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.fm_config

Definition at line 27 of file conn_primitive_fastmodel.py.

## image_path

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.image_path

Definition at line 29 of file conn_primitive_fastmodel.py.

## platform_name

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.platform_name

Definition at line 28 of file conn_primitive_fastmodel.py.

## polling_timeout

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.polling_timeout

Definition at line 30 of file conn_primitive_fastmodel.py.

## resource

mbed_host_tests.host_tests_conn_proxy.conn_primitive_fastmodel.FastmodelConnectorPrimitive.resource

Definition at line 34 of file conn_primitive_fastmodel.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_conn_proxy/conn_primitive_fastmodel.py